---
title: vultr_ssh_key
url: https://docs.vultr.com/reference/terraform/data-sources/ssh_key
description: Retrieves details about a Vultr SSH key including name, public key content, and creation date
publish_date: 2025-09-15T13:34:14.334998Z
last_updated: 2025-09-15T14:14:45.874085Z
---

# vultr_ssh_key

Get information about a Vultr SSH key. This data source provides the name, public SSH key, and the creation date for your Vultr SSH key.

## Example Usage

Get the information for an SSH key by `name`:

```hcl
data "vultr_ssh_key" "my_ssh_key" {
  filter {
    name = "name"
    values = ["my-ssh-key-name"]
  }
}
```

## Argument Reference

The following arguments are supported:

* `filter` - (Required) Query parameters for finding SSH keys.

The `filter` block supports the following:

* `name` - Attribute name to filter with.
* `values` - One or more values filter with.

## Attributes Reference

The following attributes are exported:

* `id` - The ID of the SSH key.
* `name` - The name of the SSH key.
* `ssh_key` - The public SSH key.
* `date_created` - The date the SSH key was added to your Vultr account.